> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a page

> Retrieves the details of an existing page.



## OpenAPI

````yaml /openapi/platform/page.yaml GET /v1/pages/{page_id}
openapi: 3.1.0
info:
  title: Page API
  version: '1.0'
  description: >-
    ### The page object


    The page object is a screen where you can view a “collection” of data, which
    is typically displayed in cards. You use a page to organize, manage, and
    share content to other users in Domo. Pages allow you to send external
    reports, create holistic filters across all metrics within the page, or have
    conversations in Domo’s Buzz tool about the data associated to the entire
    page.  The Page API allows you to create, delete,  retrieve a page or a list
    of pages, and update page information and content within a page.


    #### Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | The name of the page

    id | string | The ID of the page

    parentId | integer | The ID of the page that is higher in organizational
    hierarchy 

    owners | array | List of IDs of page owners

    locked | boolean | Determines whether users (besides the page owner) can
    make updates to page or its content - the default value is false

    collectionIds | array | The IDs of collections within a page

    cardIds | array | The ID of all cards contained within the page

    children | object | All pages that are considered "sub pages" in
    organizational hierarchy

    visibility | object | Determines the access given to both individual users
    or groups within Domo

    userIds | array | The IDs of users with access to the page

    groupIds | array | The IDs of groups with access to the page
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/pages/{page_id}:
    parameters:
      - schema:
          type: string
          example: '876655018'
        name: page_id
        in: path
        required: true
        description: The ID of the page
    get:
      tags: []
      summary: Retrieve a page
      description: Retrieves the details of an existing page.
      operationId: get-v1-pages-page_id
      responses:
        '200':
          description: Returns a page object if valid page ID was provided.
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                properties:
                  id:
                    type: integer
                    description: The ID of the page
                  parentId:
                    type: integer
                    description: >-
                      The ID of the page that is higher in organizational
                      hierarchy
                  name:
                    type: string
                    description: The name of the page
                  locked:
                    type: boolean
                    description: >-
                      Determines whether users (besides the page owner) can make
                      updates to page or its content - the default value is
                      false
                  collectionIds:
                    type: array
                    description: The IDs of collections within a page
                    items:
                      type: integer
                  cardIds:
                    type: array
                    description: The ID of all cards contained within the page
                    items:
                      type: integer
                  visibility:
                    type: object
                    description: >-
                      Determines the access given to both individual users or
                      groups within Domo
                    properties:
                      userIds:
                        type: array
                        items:
                          type: integer
                      groupIds:
                        type: array
                        items:
                          type: integer
                  owners:
                    type: array
                    description: List of IDs of page owners
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        type:
                          type: string
                        displayName:
                          type: string
                application/json:
                  examples:
                    Example 1:
                      value:
                        id: 421696155
                        parentId: 1507324998
                        owners:
                          - id: 8811501
                            type: USER
                            displayName: John Smith
                        name: Custom Maps
                        locked: false
                        collectionIds: []
                        cardIds:
                          - 606665948
                          - 917562931
                          - 1240307199
                          - 911423588
                        visibility:
                          userIds:
                            - 8811501
                          groupIds: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````